Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pipe.gui
Class HelpBox

    java.lang.Object
      javax.swing.AbstractAction
          pipe.gui.GuiAction
              pipe.gui.HelpBox

All Implemented Interfaces:
  javax.swing.Action, java.awt.event.ActionListener, java.lang.Cloneable, java.util.EventListener, javax.swing.event.HyperlinkListener, java.io.Serializable

public class HelpBox
extends GuiAction
implements javax.swing.event.HyperlinkListener

Author:
  Maxim
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.AbstractAction
``

Field Summary
`private javax.swing.JEditorPane` | `content`
`private javax.swing.JFrame` | `dialog`
`private java.lang.String` | `filename`
`private java.util.LinkedList` | `history`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`HelpBox(java.lang.String name, java.lang.String tooltip, java.lang.String keystroke, java.lang.String filename)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`void` | `hyperlinkUpdate(javax.swing.event.HyperlinkEvent e)`
`boolean` | `isSelected()`
`void` | `setPage(java.lang.String filename)` Sets the page to the given non-absolute filename assumed to be in the Docs directory
`private void` | `setPage(java.net.URL url, boolean addHistory)`
`void` | `setSelected(boolean selected)`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dialog

    private javax.swing.JFrame dialog

### content

    private javax.swing.JEditorPane content

### history

    private java.util.LinkedList history

### filename

    private java.lang.String filename

Constructor Detail

### HelpBox

    public HelpBox(java.lang.String name,
                   java.lang.String tooltip,
                   java.lang.String keystroke,
                   java.lang.String filename)

Method Detail

### setPage

    public void setPage(java.lang.String filename)

  Sets the page to the given non-absolute filename assumed to be in the Docs directory

### setPage

    private void setPage(java.net.URL url,
                         boolean addHistory)

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### hyperlinkUpdate

    public void hyperlinkUpdate(javax.swing.event.HyperlinkEvent e)

  Specified by:
    `hyperlinkUpdate` in interface `javax.swing.event.HyperlinkListener`

### isSelected

    public boolean isSelected()

### setSelected

    public void setSelected(boolean selected)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD